Debian Bug report logs - #419368
ITP: aufs -- Another UnionFS

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julian Andres Klode <jak@jak-linux.org>

Date: Sun, 15 Apr 2007 10:51:01 UTC

Owned by: julian andres klode <jak@jak-linux.org>

Severity: wishlist

Fixed in version aufs/0+20070415-1

Done: Julian Andres Klode <jak@jak-linux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>:
Bug#419368; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@jak-linux.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: aufs -- Another UnionFS
Date: Sun, 15 Apr 2007 12:47:59 +0200
Package: wnpp
Severity: wishlist
Owner: Julian Andres Klode <jak@jak-linux.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : aufs
  Version         : 0.0.cvs20070409
  Upstream Author : Junjiro Okajima <sfjro@users.sourceforge.net>
* URL             : http://aufs.sourceforge.net/
* License         : GPL
  Programming Lang: C
  Description     : Another UnionFS

In the early days, aufs was entirely re-designed and re-implemented
Unionfs Version 1.x series. After many original ideas, approaches,
improvements and implementations, it becomes totally different from
Unionfs while keeping the basic features.


- -- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (450, 'unstable'), (300, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGIgLfrCpf/gCCPsIRAssGAJ4xwXLBT7Y8uLUzUkJqcseI0bB+vQCfXnl6
dmjAgOHQRfb8ZUY/Pn9qX/M=
=NojH
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>:
Bug#419368; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@jak-linux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>. Full text and rfc822 format available.

Message #10 received at 419368@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: 419368@bugs.debian.org
Subject: Uploaded it to mentors.debian.net
Date: Sun, 15 Apr 2007 14:54:27 +0200
[Message part 1 (text/plain, inline)]
aufs 0.0.cvs20070409 is at

http://mentors.debian.net/debian/pool/main/a/aufs/

[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2007 00:06:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>:
Bug#419368; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thorsten Schifferdecker <tsd@debian.systs.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, julian andres klode <jak@jak-linux.org>. Full text and rfc822 format available.

Message #17 received at 419368@bugs.debian.org (full text, mbox):

From: Thorsten Schifferdecker <tsd@debian.systs.org>
To: 419368@bugs.debian.org
Cc: julian andres klode <jak@jak-linux.org>
Subject: installation path of kernel module aufs
Date: Wed, 18 Apr 2007 11:03:59 +0200
[Message part 1 (text/plain, inline)]
Hi Julian,

found at mentors.debian.org your package, i found a minor bug, the 
compiled module aufs.ko is installed to 
debian/$(PKGNAME)/lib/modules/$(KVERS)/fs/aufs/,
but it should installed to 
debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/fs/aufs/.

Regards,
Thorsten Schifferdecker
[diff-correct_aufs_installpath.patch (text/x-patch, inline)]
--- aufs-0+20070417.orig/debian/rules	2007-04-18 10:50:27.000000000 +0200
+++ aufs-0+20070417/debian/rules	2007-04-18 10:51:44.026625010 +0200
@@ -95,12 +95,11 @@
 binary-modules:
 	dh_testroot
 	dh_clean -k
-	dh_installdirs lib/modules/$(KVERS)/fs/aufs
 
 	# Build the module
 	$(MAKE) -C $(KSRC) M=$(CURDIR)/fs/aufs modules
 	# Install the module
-	cp fs/aufs/aufs.ko debian/$(PKGNAME)/lib/modules/$(KVERS)/fs/aufs/
+	install -D -m 0644 fs/aufs/aufs.ko debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/fs/aufs/aufs.ko
 
 	dh_installdocs
 	dh_installchangelogs

Reply sent to Julian Andres Klode <jak@jak-linux.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@jak-linux.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 419368-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: 419368-close@bugs.debian.org
Subject: Bug#419368: fixed in aufs 0+20070415-1
Date: Mon, 07 May 2007 10:56:34 +0000
Source: aufs
Source-Version: 0+20070415-1

We believe that the bug you reported is fixed in the latest version of
aufs, which is due to be installed in the Debian FTP archive:

aufs-source_0+20070415-1_all.deb
  to pool/main/a/aufs/aufs-source_0+20070415-1_all.deb
aufs-tools_0+20070415-1_i386.deb
  to pool/main/a/aufs/aufs-tools_0+20070415-1_i386.deb
aufs_0+20070415-1.diff.gz
  to pool/main/a/aufs/aufs_0+20070415-1.diff.gz
aufs_0+20070415-1.dsc
  to pool/main/a/aufs/aufs_0+20070415-1.dsc
aufs_0+20070415.orig.tar.gz
  to pool/main/a/aufs/aufs_0+20070415.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 419368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Andres Klode <jak@jak-linux.org> (supplier of updated aufs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 15 Apr 2007 14:18:06 +0200
Source: aufs
Binary: aufs-source aufs-tools
Architecture: source i386 all
Version: 0+20070415-1
Distribution: unstable
Urgency: low
Maintainer: Julian Andres Klode <jak@jak-linux.org>
Changed-By: Julian Andres Klode <jak@jak-linux.org>
Description: 
 aufs-source - Source for the aufs driver
 aufs-tools - Tools to manage aufs filesystems
Closes: 419368
Changes: 
 aufs (0+20070415-1) unstable; urgency=low
 .
   * Initial Release (Closes: #419368)
Files: 
 07d9e5fb01928921452ce3ad9ec7face 600 misc optional aufs_0+20070415-1.dsc
 4092d84547b0826eef0f9515e4d1f90a 156123 misc optional aufs_0+20070415.orig.tar.gz
 bbb04474e2baacbd27c5f998dd5a45f2 5502 misc optional aufs_0+20070415-1.diff.gz
 d1f1e652e2379291b4061527c05b74d5 82914 misc optional aufs-source_0+20070415-1_all.deb
 ea6b41f80636e2442d8354bd73a34279 60698 misc optional aufs-tools_0+20070415-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGInfO+C5cwEsrK54RAkJ4AJ9SkYjrglq4Hx39Tohw1JOKyQ/h5QCfTuSZ
z5D/X0N3ka7FYpMA5JIUVHs=
=gpB1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:50:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:31:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.